
Redmine - Defect #18429

Error raised on project settings after project wiki is deleted

2014-11-24 10:57 - Cloud Zhong

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Project settings Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

I do the following things.

go to project settings wiki , click delete button.

and then , the project wiki tab disappear.

and I can not go to this project settings.

I still can see other project's wiki and settings.

Completed 500 Internal Server Error in 70ms

ActionView::Template::Error (First argument in form cannot contain nil or be emp                                                                                   

ty):

1: <%= labelled_form_for wiki wiki,

2:                    :as => :wiki,

3:                    :url => { :controller => 'wikis', :action => 'edit', :                                                                                                             id

=> Herve Harster },

4:                    :remote => true, :method => 'post' do |f| %>

app/helpers/application_helper.rb:1047:in `labelled_form_for'

app/views/projects/settings/_wiki.html.erb:1:in `_app_views_projects_settings_                                                                                      

wiki_html_erb_2849060791824469656_70013448407720'

app/views/common/_tabs.html.erb:22:in `block in app_views_common_tabs_html_e                                                                              

rb___1457674944382063957_70013446561960'

app/views/common/_tabs.html.erb:21:in `each'

app/views/common/_tabs.html.erb:21:in `_app_views_common__tabs_html_erb___1457                                                                      

674944382063957_70013446561960'

app/helpers/application_helper.rb:324:in `render_tabs'

app/views/projects/settings.html.erb:3:in `_app_views_projects_settings_html_e                                                                                     

rb___493241672892030800_70013446548560'

Related issues:

Related to Redmine - Defect #18275: First argument in form cannot contain nil... Closed

Related to Redmine - Feature #14534: Upgrade to Rails 4.2 Closed

Associated revisions

Revision 13660 - 2014-11-28 08:43 - Jean-Philippe Lang

Error raised on project settings after project wiki is deleted (#18429).

History

#1 - 2014-11-24 11:04 - Cloud Zhong

I updated to the lastest trunk version.

Environment:

Redmine version                2.6.0.devel.13648

Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux]

Rails version                  4.1.8

Environment                    production

Database adapter               PostgreSQL

SCM:

Subversion                     1.6.11
Git                            1.7.1

Filesystem

Redmine plugins:

no plugin installed

#2 - 2014-11-24 12:07 - Toshi MARUYAMA

If you don't intend to hack trunk, please use stable instead.

#3 - 2014-11-24 12:07 - Toshi MARUYAMA

- Target version set to 3.0.0

#4 - 2014-11-24 12:08 - Toshi MARUYAMA

- Related to Defect #18275: First argument in form cannot contain nil or be empty error on revision view added

#5 - 2014-11-28 08:43 - Jean-Philippe Lang

- Subject changed from go to project settings, encounter Internal error to Error raised on project settings after project wiki is deleted

- Category set to Project settings

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from 3.0.0 to 2.6.1

- Resolution set to Fixed

Fixed by r13660, thanks for reporting this.

#6 - 2014-11-28 08:46 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version changed from 2.6.1 to 3.0.0

#7 - 2014-11-28 09:14 - Toshi MARUYAMA

- Target version deleted (3.0.0)

This issue is not needed in ChangeLog.

#8 - 2014-11-28 10:39 - Jean-Philippe Lang

- Related to Feature #14534: Upgrade to Rails 4.2 added
